#lade easynls und xlsx
#library(easynls)
#library(xlsx)
# data represent crop yields and N fertilizer levels rapeseed 2013

yield=c(3.35,4.73,4.97,5.37,5.21)
Nitrogen=c(0,123,175,225,250)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.006,160))
nlsplot(data1, model=3,start=c(2,0.006,160))

# quadratic
Q_rapeseed2013 <- nlsfit(data1, model=2)
# linear plateau
LP_rapeseed2013 <- nlsfit(data1, model=3,start=c(2,0.006,160))
# quadraticplateau
QP_rapeseed2013 <-nlsfit(data1, model=4)

write.xlsx(Q_rapeseed2013, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "Q_rapeseed2013", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rapeseed2013, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "LP_rapeseed2013", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rapeseed2013, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "QP_rapeseed2013", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





