#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels rye 2013

yield=c(2.39,6.64,7.01,7.64)
Nitrogen=c(0,88,125,163)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.05,100))
nlsplot(data1, model=3,start=c(2,0.05,100))

# quadratic
Q_rye2013 <- nlsfit(data1, model=2)
# linear plateau
LP_rye2013 <- nlsfit(data1, model=3,start=c(2,0.05,100))
# quadraticplateau
QP_rye2013 <-nlsfit(data1, model=4)

#adjust file name and folder
write.xlsx(Q_rye2013, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "Q_rye2013", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rye2013, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "LP_rye2013", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rye2013, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "QP_rye2013", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





