#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels rapeseed 2014

yield=c(3.12,4.87,4.96,4.97,5.19)
Nitrogen=c(0,137,195,254,270)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.006,160))
nlsplot(data1, model=3,start=c(2,0.006,160))

# quadratic
Q_rapeseed2014 <- nlsfit(data1, model=2)
# linear plateau
LP_rapeseed2014 <- nlsfit(data1, model=3,start=c(2,0.006,160))
# quadraticplateau
QP_rapeseed2014 <-nlsfit(data1, model=4)
#adjust file name and folder
write.xlsx(Q_rapeseed2014, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "Q_rapeseed2014", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rapeseed2014, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "LP_rapeseed2014", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rapeseed2014, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "QP_rapeseed2014", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





