#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels rye 2014

yield=c(3.29,5.72,5.81,6.06,5.93)
Nitrogen=c(0,77,110,143,170)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.05,100))
nlsplot(data1, model=3,start=c(2,0.05,100))

# quadratic
Q_rye2014 <- nlsfit(data1, model=2)
# linear plateau
LP_rye2014 <- nlsfit(data1, model=3,start=c(2,0.05,100))
# quadraticplateau
QP_rye2014 <-nlsfit(data1, model=4)

write.xlsx(Q_rye2014, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "Q_rye2014", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rye2014, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "LP_rye2014", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rye2014, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "QP_rye2014", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





