#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels rye 2015

yield=c(3.69,4.46,4.6,5.05,5.35)
Nitrogen=c(0,87,125,163,170)

data1=data.frame(Nitrogen, yield)

# quadratic
Q_rye2015 <- nlsfit(data1, model=2)
# linear plateau
LP_rye2015 <- nlsfit(data1, model=3,start=c(2,0.05,100))
# quadraticplateau
QP_rye2015 <-nlsfit(data1, model=4)

write.xlsx(Q_rye2015, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "Q_rye2015", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rye2015, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "LP_rye2015", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rye2015, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "QP_rye2015", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





