#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels rapeseed 2017

yield=c(2.02,3.52,3.8,3.5)
Nitrogen=c(0,136,195,254)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.006,160))
nlsplot(data1, model=3,start=c(2,0.006,160))

# quadratic
Q_rapeseed2017 <- nlsfit(data1, model=2)
# linear plateau
LP_rapeseed2017 <- nlsfit(data1, model=3,start=c(2,0.006,160))
# quadraticplateau
QP_rapeseed2017 <-nlsfit(data1, model=4)

write.xlsx(Q_rapeseed2017, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "Q_rapeseed2017", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rapeseed2017, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "LP_rapeseed2017", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rapeseed2017, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "QP_rapeseed2017", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





