#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels rye 2017

yield=c(1.75,3.04,3.26,3.34,3.35)
Nitrogen=c(0,66,95,124,155)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.05,100))
nlsplot(data1, model=3,start=c(2,0.05,100))

# quadratic
Q_rye2017 <- nlsfit(data1, model=2)
# linear plateau
LP_rye2017 <- nlsfit(data1, model=3,start=c(2,0.05,100))
# quadraticplateau
QP_rye2017 <-nlsfit(data1, model=4)

#adjust file name and folder
write.xlsx(Q_rye2017, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "Q_rye2017", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rye2017, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "LP_rye2017", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rye2017, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "QP_rye2017", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





