#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels 

yield=c(1.74,2.34,2.34,2.67,2.76)
Nitrogen=c(0,43,64,85,106)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.05,100))
nlsplot(data1, model=3,start=c(2,0.05,100))

# quadratic
Q_rye2018 <- nlsfit(data1, model=2)
# linear plateau
LP_rye2018 <- nlsfit(data1, model=3,start=c(2,0.05,100))
# quadraticplateau
QP_rye2018 <-nlsfit(data1, model=4)
#adjust file name and folder
write.xlsx(Q_rye2018, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "Q_rye2018", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rye2018, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "LP_rye2018", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rye2018, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "QP_rye2018", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





