#lade easynls und xlsx
#library(easynls)
#library(xlsx)
# data represent crop yields and N fertilizer levels rapeseed 2019

yield=c(2.97,3.43,3.84,3.65,3.83)
Nitrogen=c(0,60,90,120,150)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(3,0.005,120))
nlsplot(data1, model=3,start=c(3,0.005,120))
#adjust filename and folder
# quadratic
Q_rapeseed2019 <- nlsfit(data1, model=2)
# linear plateau
LP_rapeseed2019 <- nlsfit(data1, model=3,start=c(2,0.005,120))
# quadraticplateau
QP_rapeseed2019 <-nlsfit(data1, model=4)

write.xlsx(Q_rapeseed2019, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "Q_rapeseed2019", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rapeseed2019, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "LP_rapeseed2019", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rapeseed2019, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "QP_rapeseed2019", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





