#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels 

yield=c(2.07,3.52,3.58,3.83,3.78)
Nitrogen=c(0,35,53,70,88)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.05,50))
nlsplot(data1, model=3,start=c(2,0.05,50))

# quadratic
Q_rye2019 <- nlsfit(data1, model=2)
# linear plateau
LP_rye2019 <- nlsfit(data1, model=3,start=c(2,0.05,50))
# quadraticplateau
QP_rye2019 <-nlsfit(data1, model=4)

write.xlsx(Q_rye2019, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "Q_rye2019", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rye2019, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "LP_rye2019", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rye2019, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "QP_rye2019", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





