#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels 

yield=c(23.4,35.1,35.8,39.9,43.2,41.2)
Nitrogen=c(0,45,68,90,113,96)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(40,0.4,100))
Plot_LPrye20 <- nlsplot(data1, model=3,start=c(40,0.4,100))

# quadratic
Q_rye2020 <- nlsfit(data1, model=2)
# linear plateau
LP_rye2020 <- nlsfit(data1, model=3,start=c(40,0.4,100))
# quadraticplateau
QP_rye2020 <-nlsfit(data1, model=4)

write.xlsx(Q_rye2020, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "Q_rye2020", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rye2020, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "LP_rye2020", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rye2020, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "QP_rye2020", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





