#lade easynls und xlsx
#library(easynls)
#library(xlsx)
# data represent crop yields and N fertilizer levels rapeseed 2015

yield=c(2.99,4.93,5.11,5.4)
Nitrogen=c(0,140,200,260)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.006,160))
nlsplot(data1, model=3,start=c(2,0.006,160))

# quadratic
Q_rapeseed2015 <- nlsfit(data1, model=2)
# linear plateau
LP_rapeseed2015 <- nlsfit(data1, model=3,start=c(2,0.006,160))
# quadraticplateau
QP_rapeseed2015 <-nlsfit(data1, model=4)

#adjust file name and folder
write.xlsx(Q_rapeseed2015, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "Q_rapeseed2015", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rapeseed2015, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "LP_rapeseed2015", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rapeseed2015, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "QP_rapeseed2015", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

