#lade easynls und xlsx
#library(easynls)
#library(xlsx)
# data represent crop yields and N fertilizer levels rapeseed 2016

yield=c(2.68,3.25,3.45,3.39)
Nitrogen=c(0,129,185,241)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.006,160))
nlsplot(data1, model=3,start=c(2,0.006,160))

# quadratic
Q_rapeseed2016 <- nlsfit(data1, model=2)
# linear plateau
LP_rapeseed2016 <- nlsfit(data1, model=3,start=c(2,0.006,160))
# quadraticplateau
QP_rapeseed2016 <-nlsfit(data1, model=4)
#
#adjust file name and folder
#
write.xlsx(Q_rapeseed2016, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "Q_rapeseed2016", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rapeseed2016, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "LP_rapeseed2016", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rapeseed2016, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "QP_rapeseed2016", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
