#lade easynls und xlsx
library(easynls)
library(xlsx)
# data represent crop yields and N fertilizer levels rye 2016

yield=c(2.29,4.5,4.87,4.7,4.67)
Nitrogen=c(0,80,115,150,160)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3,start=c(2,0.05,100))
nlsplot(data1, model=3,start=c(2,0.05,100))

# quadratic
Q_rye2016 <- nlsfit(data1, model=2)
# linear plateau
LP_rye2016 <- nlsfit(data1, model=3,start=c(2,0.05,100))
# quadraticplateau
QP_rye2016 <-nlsfit(data1, model=4)
#adjust file name and folder
write.xlsx(Q_rye2016, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "Q_rye2016", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rye2016, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "LP_rye2016", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rye2016, file="N:/_eigene/Agiculture_SI/R/out/rye.xlsx", sheetName = "QP_rye2016", 
           col.names = TRUE, row.names = TRUE, append = TRUE)





