#lade easynls und xlsx
#library(easynls)
#library(xlsx)
# data represent crop yields and N fertilizer levels rapeseed 2018

yield=c(1.26,2.08,2.13,2.29,2.39)
Nitrogen=c(0,83,124,165,206)

data1=data.frame(Nitrogen, yield)

nlsfit(data1, model=3)
nlsplot(data1, model=3)

# quadratic
Q_rapeseed2018 <- nlsfit(data1, model=2)
# linear plateau
LP_rapeseed2018 <- nlsfit(data1, model=3)
# quadraticplateau
QP_rapeseed2018 <-nlsfit(data1, model=4)
#adjust filename and folder
write.xlsx(Q_rapeseed2018, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "Q_rapeseed2018", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(LP_rapeseed2018, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "LP_rapeseed2018", 
           col.names = TRUE, row.names = TRUE, append = TRUE)

write.xlsx(QP_rapeseed2018, file="N:/_eigene/Agiculture_SI/R/out/rapeseed.xlsx", sheetName = "QP_rapeseed2018", 
           col.names = TRUE, row.names = TRUE, append = TRUE)


